[gl-como] NanoNote primi passi

Marco Castorina marco.castorina@yahoo.it
Dom 25 Apr 2010 22:15:13 CEST


Dopo il Neo, mi sono ritrovato tra le mani questo piccolo
gioellino. Sto cercando di scrivere un'applicazione usando
Qt4 in quanto  gi implementato nel sistema. Ora quando
provo a compilare con il seguente comando

mipsel-openwrt-linux-g++ -I
../OpenWrtToolchain/openwrt-xburst/staging_dir/target-mipsel_uClibc-0.9.30.1/usr/include/
-L../OpenWrtToolchain/openwrt-xburst/staging_dir/target-mipsel_uClibc-0.9.30.1/usr/lib
-lQtGui -lQtCore -lpthread  qtexample.cpp


Ottengo la seguente serie di errori:

/home/marco/Documents/Programs/OpenWrtToolchain/openwrt-xburst/staging_dir/toolchain-mipsel_gcc-4.3.3+cs_uClibc-0.9.30.1/usr/lib/gcc/mipsel-openwrt-linux-uclibc/4.3.3/../../../../mipsel-openwrt-linux-uclibc/bin/ld:
warning: libdirectfb-1.4.so.0, needed by
../OpenWrtToolchain/openwrt-xburst/staging_dir/target-mipsel_uClibc-0.9.30.1/usr/lib/libQtGui.so,
not found (try using -rpath or -rpath-link)
[...]

dovuti (credo) al mancato link con quelle librerie. Normalmente
si potrebbe risolvere con ldconfig, ma non  integrato come
comando. Idee su come risolvere? La toolchain l'ho compilata
a mano, scaricata da sito ufficiale di qi-hardware seguendo le
loro istruzioni.

Al solito, grazie a tutti!

 -- 
Marco





Maggiori informazioni sulla lista gl-como